import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import { createVNode as _createVNode } from "vue";
import classNames from '../../_util/classNames';
import { computed, defineComponent } from 'vue';
var Handler = defineComponent({
  name: 'Handler',
  props: ['size', 'color', 'prefixCls'],
  setup: function setup(props) {
    var size = computed(function () {
      return props.size || 'default';
    });
    return function () {
      return _createVNode("div", {
        "class": classNames("".concat(props.prefixCls, "-handler"), _defineProperty({}, "".concat(props.prefixCls, "-handler-sm"), size.value === 'small')),
        "style": {
          backgroundColor: props.color
        }
      }, null);
    };
  }
});
export default Handler;